textures/atmo/moats
	{
	qer_editorimage textures/atmo/particles.jpg
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	cull none
	deformVertexes autoSprite2
	deformVertexes bulge 128 1 2	
	{
		map textures/atmo/particles.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 .12
	}
}

textures/base_wall/protobanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid	
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	{
	map textures/base_wall/protobanner.tga
	alphaFunc GE128
	depthWrite
	rgbGen vertex
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}
}

textures/base_wall/protobanner_ow
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	deformVertexes wave 100 sin 0 1 0 .1
	deformVertexes wave 100 sin 0 1 0 .2
	{
	map textures/base_wall/protobanner_ow.tga
	alphaFunc GE128
	depthWrite
	rgbGen vertex
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}
}

textures/base_wall/protobanner_still
{
	qer_editorimage textures/base_wall/protobanner.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	tessSize 64     
	{
	map textures/base_wall/protobanner.tga
	alphaFunc GE128
	depthWrite
	rgbGen vertex
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}
}

textures/custom/skull_banner
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/custom/skull_banner.tga
		blendFunc Add
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/decals2/dracula_banner
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
                map textures/decals2/dracula_banner.tga
                blendfunc add
	}
}

textures/gothic_block2/bricktrim_c05_trans
{
	qer_editorimage textures/gothic_block2/bricktrim_c05.tga
	surfaceparm nonsolid
	cull disable
	{
		map $lightmap
		rgbGen identity
	}
	{
	map textures/gothic_block2/bricktrim_c05.tga
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/gothic_block2/S_S_Cement1_trans
{
	qer_editorimage textures/gothic_block2/S_S_Cement1.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
	map textures/gothic_block2/S_S_Cement1.tga
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/gothic_trim/metalsupport4_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4small.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
	map textures/gothic_trim/metalsupport4small.tga
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/id_pics/john1
{
	surfaceparm nonsolid
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/id_pics/john1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/pics/nachtmahr
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pics/nachtmahr.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/pics/nachtmahr_cut1
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pics/nachtmahr_cut1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/pics/nachtmahr_cut2
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pics/nachtmahr_cut2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/proto2/cheapfloor
{
	qer_editorimage textures/proto2/marble02b_floor.tga
	{
	map textures/effects2/xtourney_fx3.tga
	tcGen environment
	rgbGen identity	
	}
	{
	map textures/proto2/marble02b_floor.tga
	blendFunc blend
	rgbGen identity
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/proto2/flare3b
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	{
	clampmap textures/proto2/flare3b.tga
	blendFunc Add
	rgbgen wave triangle 0.75 0.25 0 10
	}
}

textures/proto3/bars_m01
{
	qer_editorimage textures/proto3/bars_m01.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
	map textures/proto3/bars_m01.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
}

textures/proto3/door_m04
{
	qer_editorimage textures/proto3/door_m04.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
	map textures/proto3/door_m04.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
}

textures/sfx/smoke_blue
{
	qer_editorimage textures/sfx/smoke_blue.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	fogparms ( 0.3195 0.7675 0.9795 ) 20000
}

// **** Quake Style Teleporter **** //
//This shader and textures by The Hubster (changed by iKid) //

textures/sfx/q1_tele
	{
//	qer_editorimage textures/sfx/q1_tele.tga
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	nopicmip
	tessSize 128
	q3map_surfacelight 25

		{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
		}
		{
		map textures/sfx/q1_tele.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
		}
}

textures/sfx/whitering
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	cull disable
	nopicmip
	{
                map textures/sfx/whitering.tga
                blendfunc add
	}
}

textures/skies/grimnight2
{
	qer_editorimage textures/skies/grimnight.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun	.5 .6 .8 80 135 75
	q3map_surfacelight 80
	skyparms - 512 -

	skyparms env/ambient/grimmnight - -
	{
		map textures/skies/topclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.06
	}
}

textures/skies/q3bluesky
{
	qer_editorimage textures/skies/topclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun	.5 .6 .8 80 90 75
	q3map_surfacelight 80
	skyparms - 512 -
	{
	map textures/skies/dimclouds.tga
	tcmod scale 3 2
	tcmod scroll 0.15 0.15
	depthwrite
	}
	{
	map textures/skies/topclouds.tga
	blendfunc gl_one gl_one
	tcmod scale 3 3
	tcmod scroll 0.05 0.05
	}
}

textures/skin/tooth
{
	surfaceparm nonsolid
	cull none
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/skin/tooth.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}